Skip to content

Retrieve information about the sandbox for the given Vault ID.

GET/api/{version}/objects/sandbox/{vault_id}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
vault_idThe Vault ID of the sandbox.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v26.1/objects/sandbox/1001074
{ "responseStatus": "SUCCESS", "data": { "pod": "DS0", "vault_id": 1001074, "name": "VeePharm Sandbox", "type": "config", "size": "Small", "status": "active", "domain": "veepharm.com", "dns": "veepharm-veepharm-sandbox.vaultdev.com", "source_vault_id": 1000660, "refresh_available": "2022-12-09T16:56:15.000Z", "created_date": "2022-12-09T16:56:15.000Z", "created_by": 1, "modified_date": "2023-11-01T01:44:45.000Z", "modified_by": 1, "limits": [ { "name": "total_object_records", "used": "43", "allowed": "100000" }, { "name": "document_versions", "used": "1", "allowed": "10000" } ], "entitlements": [], "release": "limited", "expiration_date": "NULL" } }

The response contains information about the sandbox Vaults for the authenticated Vault.

NameDescription
podThe name of the POD the sandbox is on.
vault_idThe sandbox ID number.
nameThe name of the sandbox.
typeThe type of sandbox, such as configuration (config).
sizeThe size of the sandbox: Small, Medium, Large, Very Large, Extra Large, or Full. Learn more about sandbox sizes and their limits in Vault Help.
statusThe current status of the sandbox:
  • building: A new or recently refreshed sandbox
  • active: Sandbox is accessible
  • inactive: Sandbox is not accessible
  • deleting: Sandbox is being deleted
domainThe sandbox domain.
dnsThe sandbox domain name.
source_vault_idThe Vault ID of the sandbox's parent Vault.
refresh_availableThe date and time when this sandbox can be refreshed. You can refresh a sandbox once every 24 hours.
limitsSandbox limits, such as total_object_records. Note that sandbox usage is updated once every 24 hours, and new/recently refreshed sandboxes initially show 0 usage.
entitlementsThe sandbox entitlements, including type, availability, and allowed information. The temporary entitlement shows only when a temporary entitlement is active.
releaseThe type of release. This can be general, limited, or prerelease. Learn more about Vault releases in Vault Help.
expiration_dateThe expiration date of the sandbox Vault. May be NULL if the sandbox never expires. Learn more about sandbox expiration in Vault Help.